NamespaceCache (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class NamespaceCache

    java.lang.Object
      org.dom4j.tree.NamespaceCache

public class NamespaceCache
extends Object

`NamespaceCache` caches instances of `DefaultNamespace` for reuse both across documents and within documents.

Version:
  $Revision: 1.15 $
Author:
  James Strachan , Maarten Coene, Brett Finnell

Field Summary
`protected static Map` | `cache` Cache of `Map`instances indexed by URI which contain caches of `Namespace`for each prefix
`protected static Map` | `noPrefixCache` Cache of `Namespace`instances indexed by URI for default namespaces with no prefixes

Constructor Summary
`NamespaceCache()`

Method Summary
`protected Namespace` | `createNamespace(String prefix, String uri)` A factory method to create `Namespace`instance
`Namespace` | `get(String uri)` DOCUMENT ME!
`Namespace` | `get(String prefix, String uri)` DOCUMENT ME!
`protected Map` | `getURICache(String uri)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected static Map cache

  Cache of `Map`instances indexed by URI which contain caches of `Namespace`for each prefix

### noPrefixCache

    protected static Map noPrefixCache

  Cache of `Namespace`instances indexed by URI for default namespaces with no prefixes

Constructor Detail

### NamespaceCache

    public NamespaceCache()

Method Detail

### get

    public Namespace get(String prefix,
                         String uri)

  DOCUMENT ME!

  Parameters:
    `prefix` - DOCUMENT ME!
    `uri` - DOCUMENT ME!
  Returns:
    the namespace for the given prefix and uri

### get

    public Namespace get(String uri)

  DOCUMENT ME!

  Parameters:
    `uri` - DOCUMENT ME!
  Returns:
    the name model for the given name and namepsace

### getURICache

    protected Map getURICache(String uri)

  DOCUMENT ME!

  Parameters:
    `uri` - DOCUMENT ME!
  Returns:
    the cache for the given namespace URI. If one does not currently exist it is created.

### createNamespace

    protected Namespace createNamespace(String prefix,
                                        String uri)

  A factory method to create `Namespace`instance

  Parameters:
    `prefix` - DOCUMENT ME!
    `uri` - DOCUMENT ME!
  Returns:
    a newly created `Namespace`instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.